# Apt-file configuration file

# Substitutions are made as follow:
#	host => remote hostname
#	port => port
#	uri => complete URI from sources.list
#	path => path from /
#	dist => the distrib name
#	comp => the component name
#	cache => path to the cache dir
#	dest => the destination file name
#	cdrom => cdrom mount point

# Where are located Packages (relative to <comp> directory)
destination = <host>_<path>_dists_<dist>_Contents-<arch>.gz

# Fetch methods
http = wget -N -P "<cache>" -O "<cache>/<dest>" "<uri>/dists/<dist>/Contents-<arch>.gz" || rm -f "<cache>/<dest>";
ftp = wget -N --passive-ftp -P "<cache>" -O "<cache>/<dest>" "<uri>/dists/<dist>/Contents-<arch>.gz" || rm -f "<cache>/<dest>"
ssh = scp -l <user> -P <port|22> "<host>:/<path>/dists/<dist>/Contents-<arch>.gz" "<cache>/<dest>"
rsh = rcp -l <user> "<host>:/<path>/dists/<dist>/Contents-<arch>.gz" "<cache>/<dest>"
file = cp "/<path>/dists/<dist>/Contents-<arch>.gz" "<cache>/<dest>"
copy = cp "/<path>/dists/<dist>/Contents-<arch>.gz" "<cache>/<dest>"
cdrom = echo "Put CDROM labeled <path> in the cdrom device" > /dev/stderr ; read ; mount "<cdrom>"; cp "<cdrom>/dists/<dist>/Contents-<arch>.gz" "<cache>/<dest>"; umount "<cdrom>"
